# Created by pyp2rpm-3.3.2
%global pypi_name nose-timer

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 5
Summary:        A timer plugin for nosetests
Group:          Development/Python
License:        MIT
URL:            https://github.com/mahmoudimus/nose-timer
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A timer plugin for nosetests that answers the question:
*how much time does every test take?*

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(pynose)

%description -n python3-%{pypi_name}
A timer plugin for nosetests that answers the question:
*how much time does every test take?*

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

# nose is now provided by pynose module
sed -ie "s/'nose'/'pynose'/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nosetimer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 1.0.1-5.mga10
+ Revision: 2158421
- rebuild for python3.13

* Wed Jan 29 2025 papoteur <papoteur> 1.0.1-4.mga10
+ Revision: 2143436
- require pynose instead of nose module

* Mon Jan 29 2024 papoteur <papoteur> 1.0.1-3.mga10
+ Revision: 2035880
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-2.mga9
+ Revision: 1823553
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.1-1.mga9
+ Revision: 1783614
- version 1.0.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.0-2.mga9
+ Revision: 1732967
- Rebuild for python 3.9

* Tue Apr 07 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1565451
- new version 1.0.0

* Sat Feb 29 2020 wally <wally> 0.7.5-1.mga8
+ Revision: 1552132
- new version 0.7.5

* Sun Feb 16 2020 umeabot <umeabot> 0.7.4-3.mga8
+ Revision: 1535845
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.7.4-2.mga8
+ Revision: 1452715
- rebuild with python 3.8

* Sat Jan 12 2019 wally <wally> 0.7.4-1.mga7
+ Revision: 1355536
- imported package python-nose-timer (without python2 support)

